import cairo
import gc
import gobject
import gtk
from gtk import gdk
import numpy
import time
import traceback
import qubx.accept
import qubx.faces
import qubx.GTK
import qubx.toolspace
from qubx.fast.fast_utils import *
from qubx.util_types import WeakEvent, Reffer
from math import *
from numpy import random
from . import qubx_plugin


NUM_ASPECT_TILES = 11


class TestingFace(qubx_plugin.AboutPlugin):
    __explore_featured = ['grid'] # these names are visible in the Explore dialog (Admin:Scripts)
    def __init__(self, name='Testing'):
        super(TestingFace, self).__init__(name)
        self.__ref = Reffer()

        self.grid = qubx.GTK.AspectGrid()
        self.grid.show()
        self.pack_start(self.grid, True, True)
        
        for i in xrange(NUM_ASPECT_TILES):
            tile = qubx.toolspace.ToolSpace()
            #tile.ref_draw_handler = draw_fit_icon # self.make_draw(pi, 9*pi/20, 0.35, 2.4)
            #tile.OnDraw += tile.ref_draw_handler
            tile.show()
            self.grid.pack_aspect(tile)
            layer = qubx.toolspace.Layer(x=0, y=0, w=-.01, h=-.01)
            tile.add_layer(layer)
            sub = qubx.toolspace.SubLayer_Label('%i'%(i+1), 0, 1, x=0, y=0, w=-.01, h=-.01)
            layer.add_sublayer(sub)
